Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class AxisClientProxy

    java.lang.Object
      org.apache.axis.client.AxisClientProxy

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

public class AxisClientProxy
extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Very simple dynamic proxy InvocationHandler class. This class is constructed with a Call object, and then each time a method is invoked on a dynamic proxy using this invocation handler, we simply turn it into a SOAP request.

Author:
  Glen Daniels (gdaniels@apache.org), C?dric Chabanois (cchabanois@ifrance.com)

Method Summary
`Call` | `getCall()` Returns the current call.
`java.lang.Object` | `invoke(java.lang.Object o, java.lang.reflect.Method method, java.lang.Object[] objects)` Handle a method invocation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object o,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] objects)
                            throws java.lang.Throwable

  Handle a method invocation.

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Parameters:
    `o` - the object to invoke relative to
    `method` - the `Method` to invoke
    `objects` - the arguments to the method
  Returns:
    the result of the method
  Throws:
    `java.lang.Throwable` - if anything went wrong in method dispatching or the execution of the method itself

### getCall

    public Call getCall()

  Returns the current call.

  Returns:
    the current `Call`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.